Bug 231862 - [patch] security/strongswan: Update to 5.7.1
Summary: [patch] security/strongswan: Update to 5.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-01 17:15 UTC by Renato Botelho
Modified: 2018-10-04 13:23 UTC (History)
1 user (show)

See Also:
strongswan: maintainer-feedback+
garga: merge-quarterly+


Attachments
Update to 5.7.1 (840 bytes, patch)
2018-10-01 17:15 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2018-10-01 17:15:15 UTC
Created attachment 197689 [details]
Update to 5.7.1

Update to 5.7.1, which contain fixes for CVEs CVE-2018-16151/2

https://strongswan.org/blog/2018/10/01/strongswan-5.7.1-released.html
Comment 1 strongswan 2018-10-02 05:30:00 UTC
I'm happy.
The gmp plugin is not enabled though.
Comment 2 commit-hook freebsd_committer 2018-10-02 11:00:40 UTC
A commit references this bug:

Author: garga
Date: Tue Oct  2 11:00:11 UTC 2018
New revision: 481111
URL: https://svnweb.freebsd.org/changeset/ports/481111

Log:
  security/strongswan: Update to 5.7.1

  PR:		231862
  Approved by:	maintainer
  Obtained from:	pfSense
  MFH:		2018Q4
  Security:	CVE-2018-16151 CVE-2018-16152
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/distinfo
Comment 3 commit-hook freebsd_committer 2018-10-04 13:23:32 UTC
A commit references this bug:

Author: garga
Date: Thu Oct  4 13:22:51 UTC 2018
New revision: 481221
URL: https://svnweb.freebsd.org/changeset/ports/481221

Log:
  MFH: r481111

  security/strongswan: Update to 5.7.1

  PR:		231862
  Approved by:	maintainer
  Obtained from:	pfSense
  Security:	CVE-2018-16151 CVE-2018-16152
  Sponsored by:	Rubicon Communications, LLC (Netgate)
  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/security/strongswan/Makefile
  branches/2018Q4/security/strongswan/distinfo